Page 1 sur 1

downgrad Thunderbird

Posté : 03 mai 2017, 10:55
par Dylan
Bonjour,

Nous utilisons WAPT depuis un moment maintenant. J'ai récemment mis à jour notre parc micro avec la dernière version de Thunderbird (version 52). Malheureusement lors de nos je ne me suis pas aperçu d'un soucis avec un connecteur Sogo.
Je cherche un moyen de repasser les postes en thunderbird 45 sans pertes de profil.
Est ce possible avec WAPT ?

Merci d'avance.

Dylan

Re: downgrad Thunderbird

Posté : 03 mai 2017, 12:24
par agauvrit
Il est possible de créer un paquet qui désinstalle toutes les version de Thunderbird (en conservant les profils) et réinstalle la version voulue.

Dans l'ordre :
  • - Supprimer Thunderbird version 52 du dépot
    - Créer un paquet qui désinstalle thunderbird 52
    - Installer thunderbird 45
Il est néanmoins nécéssaire de qualifier ce paquet sur un poste afin de vérifier les profils, il se pourraient que des choses aient été modifiées entre la 45 et la 52

Cordialement,

Alexandre

Re: downgrad Thunderbird

Posté : 07 mai 2017, 20:09
par sfonteneau
Dans l'ordre supprimer la version 52.1.0 de votre dépôt puis créer un paquet de fix wapt :

tis-fixupwapt

Code : Tout sélectionner


def install():
    prefixpkg = control.package.split('-',1)[0]
    thunderbird = WAPT.is_installed('%s-thunderbird'% prefixpkg)
    if reader and Version(thunderbird.version) == Version('52.1.0-67'):
        WAPT.remove(thunderbird.package)
        WAPT.install('%s-thunderbird'% prefixpkg)


Ce paquet peut être conservée car il permet d'envoyer des conf wapt plus tard

Re: downgrad Thunderbird

Posté : 09 mai 2017, 09:50
par Dylan
Bonjour et merci pour la réponse,

Je teste ça de suite.

Dylan

Re: downgrad Thunderbird

Posté : 09 mai 2017, 10:10
par Dylan
Bon je viens de tester mais j'ai une erreur, voici les logs :

2017-05-09 10:02:23,572 CRITICAL Package sitic-fixupwapt (=17-17) not installed due to errors : NameError: global name 'reader' is not defined
2017-05-09 10:02:23,575 CRITICAL Exception: Error during install of sitic-fixupwapt (=17-17): errors in packages [[u'sitic-fixupwapt (=17-17)', PackageEntry('sitic-fixupwapt','17-17')]]

Pour info voici ce que j'ai mis dans mon fixup :

Code : Tout sélectionner

def install():
    prefixpkg = control.package.split('-',1)[0]
    thunderbird = WAPT.is_installed('%s-thunderbird'% prefixpkg)
    if reader and Version(thunderbird.version) == Version('52.0-5'):
        WAPT.remove(thunderbird.package)
        WAPT.install('%s-thunderbird'% prefixpkg)

Re: downgrad Thunderbird

Posté : 09 mai 2017, 10:14
par sfonteneau
Oups

Code : Tout sélectionner

def install():
    prefixpkg = control.package.split('-',1)[0]
    thunderbird = WAPT.is_installed('%s-thunderbird'% prefixpkg)
    if thunderbird and Version(thunderbird.version) == Version('52.1.0-67'):
        WAPT.remove(thunderbird.package)
        WAPT.install('%s-thunderbird'% prefixpkg)
  

Re: downgrad Thunderbird

Posté : 09 mai 2017, 10:39
par Dylan
Merci Simon, ça fonctionne nickel :D

Question bête je peux utiliser ce genre de lignes de code pour supprimer les anciennes version de java par exemple lors du passage de la 8.121 à la 8.131 :?:

Dylan

Re: downgrad Thunderbird

Posté : 09 mai 2017, 11:49
par sfonteneau
Oui il suffit d'adapter le code ;)

Il est possible aussi d’intégrer la désinstallation des anciennes version de java dans le paquet java directement

Simon

Re: downgrad Thunderbird

Posté : 09 mai 2017, 13:53
par Dylan
Bon je confirme cela fonctionne bien. En revanche j'ai un soucis avec le composant lightning qui du coup est dans une version supérieur et non supporté par Thunderbird 45

J'ai fait des tests et visbiblement la simple suppression du répertoire suivant suffit :
C:\Program Files (x86)\Mozilla Thunderbird\distribution\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}

Du coup une question, est ce possible d'ajouter une ligne de code qui après avoir désinstallé Thunderbird 52 supprimerait le répertoire avant de réinstaller Thunderbird 45 ?

Du genre :

Code : Tout sélectionner

def install():
    prefixpkg = control.package.split('-',1)[0]
    thunderbird = WAPT.is_installed('%s-thunderbird'% prefixpkg)
    if thunderbird and Version(thunderbird.version) == Version('52.0-5'):
        WAPT.remove(thunderbird.package)
        shutil.rmtree('C:\Program Files (x86)\Mozilla Thunderbird\distribution\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}')
WAPT.install('%s-thunderbird'% prefixpkg)